Module tdlight.api
Package it.tdlight.jni

# Class TdApi.TdlibParameters

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.TdlibParameters

Enclosing class:
  TdApi

public static final class TdApi.TdlibParameters extends TdApi.Object
Contains parameters for TDLib initialization.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`apiHash`
Application identifier hash for Telegram API access, which can be obtained at https://my.telegram.org.
`int`
`apiId`
Application identifier for Telegram API access, which can be obtained at https://my.telegram.org.
`String`
`applicationVersion`
Application version; must be non-empty.
`static final int`
`CONSTRUCTOR`
`String`
`databaseDirectory`
The path to the directory for the persistent database; if empty, the current working directory will be used.
`String`
`deviceModel`
Model of the device the application is being run on; must be non-empty.
`boolean`
`enableStorageOptimizer`
If set to true, old files will automatically be deleted.
`String`
`filesDirectory`
The path to the directory for storing files; if empty, databaseDirectory will be used.
`boolean`
`ignoreFileNames`
If set to true, original file names will be ignored.
`String`
`systemLanguageCode`
IETF language tag of the user's operating system language; must be non-empty.
`String`
`systemVersion`
Version of the operating system the application is being run on.
`boolean`
`useChatInfoDatabase`
If set to true, the library will maintain a cache of users, basic groups, supergroups, channels and secret chats.
`boolean`
`useFileDatabase`
If set to true, information about downloaded and uploaded files will be saved between application restarts.
`boolean`
`useMessageDatabase`
If set to true, the library will maintain a cache of chats and messages.
`boolean`
`useSecretChats`
If set to true, support for secret chats will be enabled.
`boolean`
`useTestDc`
If set to true, the Telegram test environment will be used instead of the production environment.

## Constructor Summary

Constructors
Constructor
Description
`TdlibParameters()`
Contains parameters for TDLib initialization.
`TdlibParameters(boolean useTestDc, String databaseDirectory, String filesDirectory, boolean useFileDatabase, boolean useChatInfoDatabase, boolean useMessageDatabase, boolean useSecretChats, int apiId, String apiHash, String systemLanguageCode, String deviceModel, String systemVersion, String applicationVersion, boolean enableStorageOptimizer, boolean ignoreFileNames)`
Contains parameters for TDLib initialization.
`TdlibParameters(DataInput input)`
Contains parameters for TDLib initialization.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### useTestDc

public boolean useTestDc
If set to true, the Telegram test environment will be used instead of the production environment.

### databaseDirectory

public String databaseDirectory
The path to the directory for the persistent database; if empty, the current working directory will be used.

### filesDirectory

public String filesDirectory
The path to the directory for storing files; if empty, databaseDirectory will be used.

### useFileDatabase

public boolean useFileDatabase
If set to true, information about downloaded and uploaded files will be saved between application restarts.

### useChatInfoDatabase

public boolean useChatInfoDatabase
If set to true, the library will maintain a cache of users, basic groups, supergroups, channels and secret chats. Implies useFileDatabase.

### useMessageDatabase

public boolean useMessageDatabase
If set to true, the library will maintain a cache of chats and messages. Implies useChatInfoDatabase.

### useSecretChats

public boolean useSecretChats
If set to true, support for secret chats will be enabled.

### apiId

public int apiId
Application identifier for Telegram API access, which can be obtained at https://my.telegram.org.

### apiHash

public String apiHash
Application identifier hash for Telegram API access, which can be obtained at https://my.telegram.org.

### systemLanguageCode

public String systemLanguageCode
IETF language tag of the user's operating system language; must be non-empty.

### deviceModel

public String deviceModel
Model of the device the application is being run on; must be non-empty.

### systemVersion

public String systemVersion
Version of the operating system the application is being run on. If empty, the version is automatically detected by TDLib.

### applicationVersion

public String applicationVersion
Application version; must be non-empty.

### enableStorageOptimizer

public boolean enableStorageOptimizer
If set to true, old files will automatically be deleted.

### ignoreFileNames

public boolean ignoreFileNames
If set to true, original file names will be ignored. Otherwise, downloaded files will be saved under names as close as possible to the original name.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### TdlibParameters

public TdlibParameters()
Contains parameters for TDLib initialization.

### TdlibParameters

public TdlibParameters(boolean useTestDc, String databaseDirectory, String filesDirectory, boolean useFileDatabase, boolean useChatInfoDatabase, boolean useMessageDatabase, boolean useSecretChats, int apiId, String apiHash, String systemLanguageCode, String deviceModel, String systemVersion, String applicationVersion, boolean enableStorageOptimizer, boolean ignoreFileNames)
Contains parameters for TDLib initialization.

Parameters:
  `useTestDc` - boolean If set to true, the Telegram test environment will be used instead of the production environment.
  `databaseDirectory` - String The path to the directory for the persistent database; if empty, the current working directory will be used.
  `filesDirectory` - String The path to the directory for storing files; if empty, databaseDirectory will be used.
  `useFileDatabase` - boolean If set to true, information about downloaded and uploaded files will be saved between application restarts.
  `useChatInfoDatabase` - boolean If set to true, the library will maintain a cache of users, basic groups, supergroups, channels and secret chats. Implies useFileDatabase.
  `useMessageDatabase` - boolean If set to true, the library will maintain a cache of chats and messages. Implies useChatInfoDatabase.
  `useSecretChats` - boolean If set to true, support for secret chats will be enabled.
  `apiId` - int Application identifier for Telegram API access, which can be obtained at https://my.telegram.org.
  `apiHash` - String Application identifier hash for Telegram API access, which can be obtained at https://my.telegram.org.
  `systemLanguageCode` - String IETF language tag of the user's operating system language; must be non-empty.
  `deviceModel` - String Model of the device the application is being run on; must be non-empty.
  `systemVersion` - String Version of the operating system the application is being run on. If empty, the version is automatically detected by TDLib.
  `applicationVersion` - String Application version; must be non-empty.
  `enableStorageOptimizer` - boolean If set to true, old files will automatically be deleted.
  `ignoreFileNames` - boolean If set to true, original file names will be ignored. Otherwise, downloaded files will be saved under names as close as possible to the original name.

### TdlibParameters

public TdlibParameters(DataInput input) throws IOException
Contains parameters for TDLib initialization.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`